/*

fireworks-fireworker-script.js

Ship script for fireworkers.


Oolite
Copyright © 2004-2011 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


fireworks.oxp
Copyright © 2011 "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/

"use strict";

this.name           = "fireworks-fireworker-script";
this.author         = "Commander McLane";
this.description    = "launches fireworks";
this.copyright      = "© 2011 Commander McLane";
this.license		= "CC-by-nc-sa 3.0";
this.version        = "1.1";


this.shipSpawned = function()
{
    this.ship.removeEquipment(this.ship.missiles[0].equipmentKey);
    this.fireworksTimer = new Timer(this, this.$launchFireworks, (Math.random() + 1), (Math.random() + 3.5));
}

this.$launchFireworks = function()
{
    this.ship.awardEquipment("EQ_FIREWORKS_MISSILE");
    if(this.ship.fireMissile("EQ_FIREWORKS_MISSILE") === null) this.$stopFireworks();
}

this.$stopFireworks = function()
{
    this.fireworksTimer.stop();
    delete this.fireworksTimer;
    this.ship.setAI("dockingAI.plist");
}