/*

fireworks.js

Script spawning some ships which launch fireworks.


Oolite
Copyright © 2004-2011 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


fireworks.oxp
Copyright © 2011 "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/

"use strict";

this.name           = "fireworks";
this.author         = "Commander McLane";
this.description    = "spawns some ships which launch fireworks";
this.copyright      = "© 2011 Commander McLane";
this.license		= "CC-by-nc-sa 3.0";
this.version        = "1.1";


this.shipWillLaunchFromStation = function(station)
{
    if(player.ship.equipmentStatus("EQ_FIREWORKS") === "EQUIPMENT_OK")
    {
        var position = player.ship.position;
        var orientation = player.ship.orientation;
        var distance = 3100;
        this.fireworksTarget = system.addShips("fireworks_target", 1, position.add(orientation.vectorForward().multiply(20000)), 0);
        this.fireworker = system.addShips("fireworks_fireworker", 1, position.add(orientation.vectorForward().multiply(distance)).add(orientation.vectorRight().multiply(500)), 0);
        this.fireworker[0].orientation = orientation;
        this.fireworker[0].target = this.fireworksTarget[0];
        station.group.addShip(this.fireworker[0]);
        this.fireworker[0].group = station.group;
        this.fireworker = system.addShips("fireworks_fireworker", 1, position.add(orientation.vectorForward().multiply(distance)).add(orientation.vectorRight().multiply(-500)), 0);
        this.fireworker[0].orientation = orientation;
        this.fireworker[0].target = this.fireworksTarget[0];
        station.group.addShip(this.fireworker[0]);
        this.fireworker[0].group = station.group;
        this.fireworker = system.addShips("fireworks_fireworker", 1, position.add(orientation.vectorForward().multiply(distance)).add(orientation.vectorRight().multiply(300)).add(orientation.vectorUp().multiply(300)), 0);
        this.fireworker[0].orientation = orientation;
        this.fireworker[0].target = this.fireworksTarget[0];
        station.group.addShip(this.fireworker[0]);
        this.fireworker[0].group = station.group;
        this.fireworker = system.addShips("fireworks_fireworker", 1, position.add(orientation.vectorForward().multiply(distance)).add(orientation.vectorRight().multiply(300)).add(orientation.vectorUp().multiply(-300)), 0);
        this.fireworker[0].orientation = orientation;
        this.fireworker[0].target = this.fireworksTarget[0];
        station.group.addShip(this.fireworker[0]);
        this.fireworker[0].group = station.group;
        this.fireworker = system.addShips("fireworks_fireworker", 1, position.add(orientation.vectorForward().multiply(distance)).add(orientation.vectorRight().multiply(-300)).add(orientation.vectorUp().multiply(300)), 0);
        this.fireworker[0].orientation = orientation;
        this.fireworker[0].target = this.fireworksTarget[0];
        station.group.addShip(this.fireworker[0]);
        this.fireworker[0].group = station.group;
        this.fireworker = system.addShips("fireworks_fireworker", 1, position.add(orientation.vectorForward().multiply(distance)).add(orientation.vectorRight().multiply(-300)).add(orientation.vectorUp().multiply(-300)), 0);
        this.fireworker[0].orientation = orientation;
        this.fireworker[0].target = this.fireworksTarget[0];
        station.group.addShip(this.fireworker[0]);
        this.fireworker[0].group = station.group;
        this.fireworksTimer = new Timer(this, this.$fireworksEnd, 60);
        player.commsMessage("Message from the station master:", 5);
        player.commsMessage("Enjoy your personal fireworks, Commander " + player.name + "!", 10);
    player.ship.removeEquipment("EQ_FIREWORKS");
    missionVariables.TL_FOR_EQ_FIREWORKS_MINE = 0;
    }
}

this.$fireworksEnd = function()
{
    this.fireworksTarget[0].remove();
    player.commsMessage("We hope you enjoyed your personal fireworks, Commander " + player.name + ". Have a nice day and welcome again.", 6);
}